(******************************************************************************)
(* Fusion Folder Keeper - Transpear Software                                  *)
(******************************************************************************)
{                                                                              }
{ VERSION      : 1.0                                                           }
{ AUTHOR       : Kelvin Westlake                                               }
{ CREATED      : 14 Semptember 2000                                            }
{ WEBSITE      : http://www.Transpear.cjb.net                                  }
{ EMAIL        : KWestlae@yahoo.com                                            }
{                                                                              }
{ NOTES:  Please the enclosed text files                                       }
{******************************************************************************}

unit Icons;

interface

uses
  Windows, Messages, SysUtils, Classes,
  Graphics, Controls, Forms, Dialogs,shellapi,registry;


function ExtractIconFromFile(const FileName : String;
                             nIndex   : Integer) : tIcon;


implementation


function ExtractIconFromFile(const FileName : String;
                             nIndex   : Integer) : tIcon;
var
  Icon : TIcon;
  hIco : HIcon;
  nResNum : Integer;

begin
  // Try to extract the icon from the file passed as argument
  nResNum:=3;
  hIco := ExtractIcon(HInstance, PChar(FileName), nIndex);
  If hIco <> 0 then
  Begin
   Icon := TIcon.Create;
   Icon.ReleaseHandle;
   Icon.Handle := hIco;
   ExtractIconFromFile:=Icon;
  End
  Else
  Begin
     hIco := ExtractIcon(HInstance,
                          '%SystemRoot%\system32\shell32.dll', nResNum);
     Icon := TIcon.Create;
     Icon.ReleaseHandle;
     Icon.Handle := hIco;
     ExtractIconFromFile:=Icon;
  End;
end;

end.


